package com.bocloud.sms.model;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @author tyl
 * @since 2020/2/4 周二 14:05
 */
@Data
@AllArgsConstructor
public class PermissionBean {
    private Long id;
    private String name;
    private String path;
    private String icon;
    private Long parentId;
    private Integer priority;
    private String router;//路由名称
    private String component;//组件名称
    private String redirect;//重定向地址
    private String meta;//META设置
    private String params;//PARAMS设置
    private String category;//权限类型
    private String pluginsCode;//插件编码
    private Boolean pluginsStatus;// 插件状态 true为开启/false为关闭
    private String buttonCode;
    private List<PermissionBean> children;

    public PermissionBean(Long id, String name, String path, String icon, Long parentId, Integer priority,
                          String router, String component, String redirect, String meta, String params,
                          String category, String pluginsCode, Boolean pluginsStatus, String buttonCode) {
        this.id = id;
        this.name = name;
        this.path = path;
        this.icon = icon;
        this.parentId = parentId;
        this.priority = priority;
        this.router = router;
        this.component = component;
        this.redirect = redirect;
        this.meta = meta;
        this.params = params;
        this.category = category;
        this.pluginsCode = pluginsCode;
        this.pluginsStatus = pluginsStatus;
        this.buttonCode = buttonCode;
    }
}
