package com.bocloud.sms.repository;

import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.bocloud.sms.entity.PortalElementPool;
import com.megatron.framework.core.CurrentService;
import com.mysql.cj.util.StringUtils;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lyy
 */
@Service
public class PortalElementPoolRepository extends BasicGenericDao<PortalElementPool, Long> {

    public PortalElementPoolRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public List<PortalElementPool> listPortalElementPool(String module) {
        String sql = "select * from portal_element_pool where 1=1 ";
        if (!StringUtils.isNullOrEmpty(module)) {
            sql += " and module = '" + module + "' ";
        }
        sql += " order by order_num ";
        return this.list(PortalElementPool.class, sql);
    }

}
