package com.bocloud.sms.service.upgrade;

/**
 * 升级任务执行状态
 *
 * @author luyanchao
 * @date 2021-06-15
 */
public enum UpgradeStatus {
    /**
     * 执行成功
     */
    SUCCEED,
    /**
     * 执行失败
     */
    FAILED,
    /**
     * 正在执行
     */
    RUNNING,
    /**
     * 等待执行
     */
    WAITING,
    /**
     * 执行中断
     */
    INTERRUPTED
}
