package com.bocloud.sms.utils;

import com.bocloud.sms.model.CloudServiceBean;

import java.util.Comparator;

/**
 * @author tyl
 * @time 2020/3/16 周一 11:01
 */
public class FavoriteComparator implements Comparator<CloudServiceBean> {
    @Override
    public int compare(CloudServiceBean first, CloudServiceBean second) {
        if (null == first || second == null) {
            return 0;
        }
        if (first.getPriority() != null && second.getPriority() != null) {
            if (!first.getPriority().equals(second.getPriority())) {
                return first.getPriority().compareTo(second.getPriority());
            }
        }
        return second.getFavoriteId().compareTo(first.getFavoriteId());
    }
}
